#include <dos.h>
#include <fcntl.h>
#include <stdio.h>
#include <stdlib.h>

void main(int argc, char *argv[]);

void main(int argc, char *argv[]) {

	 int handle;
	 int info;
	 int rc;

// Открываем файл или устройство с заданным именем

	 handle = open(argv[1], O_RDONLY);

// Если открыть невозможно, выводим сообщение
// и завершаем работу программы

	 if(handle == -1) {
		printf("Не могу открыть файл!\n");
		exit(-1);
	 }

// Получаем информацию для хендла handle

	 rc = get_devi(handle, &info);

	 if(rc != 0) {
		printf("Ошибка с кодом %d\n", rc);
		exit(-1);
	 }

	 printf("\nСлово информации об устройстве: %04X",info);

}

